You can not select more than 25 topics
Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
92 lines
2.9 KiB
92 lines
2.9 KiB
From cc96f793bb4fb088123a40fb9d802e7db1fdbffb Mon Sep 17 00:00:00 2001 |
|
From: Brian C. Lane <bcl@redhat.com> |
|
Date: Tue, 7 Aug 2012 10:14:03 -0700 |
|
Subject: [PATCH] tests: Make sure dm UUIDs are not erased |
|
|
|
* tests/t6003-dm-uuid.sh: Make sure dm UUIDs are not erased |
|
--- |
|
tests/Makefile.am | 1 + |
|
tests/t6003-dm-uuid.sh | 59 ++++++++++++++++++++++++++++++++++++++++++++++++ |
|
2 files changed, 60 insertions(+), 0 deletions(-) |
|
create mode 100755 tests/t6003-dm-uuid.sh |
|
|
|
diff --git a/tests/Makefile.am b/tests/Makefile.am |
|
index 57771be..98310f2 100644 |
|
--- a/tests/Makefile.am |
|
+++ b/tests/Makefile.am |
|
@@ -56,6 +56,7 @@ TESTS = \ |
|
t6000-dm.sh \ |
|
t6001-psep.sh \ |
|
t6002-dm-many-partitions.sh \ |
|
+ t6003-dm-uuid.sh \ |
|
t6100-mdraid-partitions.sh \ |
|
t7000-scripting.sh \ |
|
t8000-loop.sh \ |
|
diff --git a/tests/t6003-dm-uuid.sh b/tests/t6003-dm-uuid.sh |
|
new file mode 100755 |
|
index 0000000..1751cb4 |
|
--- /dev/null |
|
+++ b/tests/t6003-dm-uuid.sh |
|
@@ -0,0 +1,59 @@ |
|
+#!/bin/sh |
|
+# device-mapper: preserve uuid |
|
+# The dm's partitions uuid would be removed when creating new partitions |
|
+ |
|
+# Copyright (C) 2012 Free Software Foundation, Inc. |
|
+ |
|
+# This program is free software; you can redistribute it and/or modify |
|
+# it under the terms of the GNU General Public License as published by |
|
+# the Free Software Foundation; either version 3 of the License, or |
|
+# (at your option) any later version. |
|
+ |
|
+# This program is distributed in the hope that it will be useful, |
|
+# but WITHOUT ANY WARRANTY; without even the implied warranty of |
|
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the |
|
+# GNU General Public License for more details. |
|
+ |
|
+# You should have received a copy of the GNU General Public License |
|
+# along with this program. If not, see <http://www.gnu.org/licenses/>. |
|
+ |
|
+. "${srcdir=.}/init.sh"; path_prepend_ ../parted |
|
+ |
|
+require_root_ |
|
+(dmsetup --help) > /dev/null 2>&1 || skip_test_ "No dmsetup installed" |
|
+ |
|
+ss=$sector_size_ |
|
+ns=300 |
|
+n_partitions=3 |
|
+start_sector=34 |
|
+loop_file=loop-file-$$ |
|
+dm_name=dm-test-$$ |
|
+ |
|
+cleanup_() { |
|
+ dmsetup remove $dm_name |
|
+ test -n "$dev" && losetup -d "$dev" |
|
+ rm -f $loop_file; |
|
+} |
|
+ |
|
+# create a file large enough to hold a GPT partition table |
|
+dd if=/dev/null of=$loop_file bs=$ss seek=$ns || framework_failure |
|
+dev=$(losetup --show -f $loop_file) || framework_failure |
|
+dmsetup create $dm_name --table "0 $ns linear $dev 0" || framework_failure |
|
+dmsetup rename $dm_name --setuuid f139317b-f98a-45d7-ab3b-9b4e0a336872 || framework_failure |
|
+ |
|
+cmd= |
|
+for ((i=1; i<=$n_partitions; i+=1)); do |
|
+ s=$((start_sector + i - 1)) |
|
+ cmd="$cmd mkpart p$i ${s}s ${s}s" |
|
+done |
|
+parted -m -a min -s /dev/mapper/$dm_name mklabel gpt $cmd > /dev/null 2>&1 || fail=1 |
|
+ |
|
+# Make sure all the partitions have UUIDs |
|
+for ((i=1; i<=$n_partitions; i+=1)); do |
|
+ dmsetup info /dev/mapper/${dm_name}p$i | grep UUID || fail=1 |
|
+ |
|
+ # remove the partitions as we go, otherwise cleanup won't work. |
|
+ dmsetup remove /dev/mapper/${dm_name}p$i |
|
+done |
|
+ |
|
+Exit $fail |
|
-- |
|
1.7.7.6 |
|
|
|
|